#include <iostream>

/*
 * -- Includes for FTDI DLL --
 *
 * To be able to link the program for usage with ftd2xx.dll you need to include
 * the import library ftd2xx.lib or use dynamic dll loading.
 *
 * The windows.h is needed for data types in ftd2xx.h.
 */
#include <windows.h>
#include "ftd2xx.h"

using namespace std;

int main()
{
    FT_STATUS ftStatus;
    DWORD numDevs;

    ftStatus = FT_ListDevices(&numDevs,NULL,FT_LIST_NUMBER_ONLY);
    if (ftStatus == FT_OK) {
      // FT_ListDevices OK, number of devices connected is in numDevs
    }
    else {
      // FT_ListDevices failed
    }

    cout << "Hello world!" << endl;
    return 0;
}
